org.apache.groovy.parser.antlr4

## Class AbstractLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - org.apache.groovy.parser.antlr4.AbstractLexer

- All Implemented Interfaces:
    org.antlr.v4.runtime.TokenSource, SyntaxErrorReportable
  Direct Known Subclasses:
    GroovyLexer

      public abstract class AbstractLexer
      extends org.antlr.v4.runtime.Lexer
      implements SyntaxErrorReportable

  Because antlr4 does not support generating lexer with specified interface, we have to create a super class for it and implement the interface.

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.Lexer

      `_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLexer(org.antlr.v4.runtime.CharStream input)`

  - ### Method Summary

    - ### Methods inherited from class org.antlr.v4.runtime.Lexer

      `emit, emit, emitEOF, getAllTokens, getChannel, getChannelNames, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getModeNames, getSourceName, getText, getToken, getTokenFactory, getTokenNames, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip, validateInputStream`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getATN, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getGrammarFileName, getInterpreter, getParseInfo, getRuleIndexMap, getRuleNames, getSerializedATN, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, getVocabulary, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

      `genPositionInfo, getErrorColumn, getErrorLine, getSyntaxErrorSource, require, require, require, require, throwSyntaxError`

- - ### Constructor Detail

    - #### AbstractLexer

          public AbstractLexer(org.antlr.v4.runtime.CharStream input)